diff -u a/dillorc b/dillorc
--- a/dillorc	Wed Jun 12 21:25:35 2024
+++ b/dillorc	Fri Jun 14 16:37:49 2024
@@ -46,6 +46,9 @@
 # height of the visible page area.
 #scroll_step=100
 
+# Set the external link handler
+#ext_handler="mpv"
+
 #-------------------------------------------------------------------------
 #                           RENDERING SECTION
 #-------------------------------------------------------------------------
diff -u a/src/menu.cc b/src/menu.cc
--- a/src/menu.cc	Fri Jun 14 16:14:55 2024
+++ b/src/menu.cc	Fri Jun 14 16:21:34 2024
@@ -122,6 +122,21 @@
 }
 
 /**
+ * Open URL in external handler
+ */
+static void Menu_open_url_ex_cb(Fl_Widget*, void *user_data)
+{
+   DilloUrl *url = (DilloUrl *)user_data;
+   char str[500];
+   strcpy(str, prefs.ext_handler);
+   strcat(str, " ");
+   strcat(str, URL_STR_(url));
+   strcat(str, "> /dev/null 2>&1 &");
+   puts(str);
+   system(str);
+}
+
+/**
  * Add bookmark
  */
 static void Menu_add_bookmark_cb(Fl_Widget*, void *user_data)
@@ -432,8 +447,8 @@
 
 static Fl_Menu_Item link_menu[] = {
    {"Open link in new tab", 0, Menu_open_url_nt_cb,0,0,0,0,0,0},
-   {"Open link in new window", 0, Menu_open_url_nw_cb,0,FL_MENU_DIVIDER,0,0,
-    0,0},
+   {"Open link in new window", 0, Menu_open_url_nw_cb,0,0,0,0,0,0},
+   {"Open with external", 0, Menu_open_url_ex_cb,0,FL_MENU_DIVIDER,0,0,0,0},
    {"Bookmark this link", 0, Menu_add_bookmark_cb,0,0,0,0,0,0},
    {"Copy link location", 0, Menu_copy_urlstr_cb,0,FL_MENU_DIVIDER,0,0,0,0},
    {"Save link as...", 0, Menu_save_link_cb,0,0,0,0,0,0},
diff -u a/src/prefs.c b/src/prefs.c
--- a/src/prefs.c	Fri Jun 14 16:14:55 2024
+++ b/src/prefs.c	Fri Jun 14 16:24:11 2024
@@ -26,6 +26,7 @@
 #define PREFS_HTTP_REFERER    "host"
 #define PREFS_HTTP_USER_AGENT "Dillo/" VERSION
 #define PREFS_THEME           "none"
+#define PREFS_EXT_HANDLER     "mpv"
 
 /*-----------------------------------------------------------------------------
  * Global Data
@@ -71,6 +72,7 @@
    prefs.http_strict_transport_security = TRUE;
    prefs.http_force_https = FALSE;
    prefs.http_user_agent = dStrdup(PREFS_HTTP_USER_AGENT);
+   prefs.ext_handler = dStrdup(PREFS_EXT_HANDLER);
    prefs.limit_text_width = FALSE;
    prefs.adjust_min_width = TRUE;
    prefs.adjust_table_min_width = TRUE;
@@ -151,6 +153,7 @@
    dFree(prefs.http_proxyuser);
    dFree(prefs.http_referer);
    dFree(prefs.http_user_agent);
+   dFree(prefs.ext_handler);
    dFree(prefs.no_proxy);
    dFree(prefs.save_dir);
    for (i = 0; i < dList_length(prefs.search_urls); ++i)
diff -u a/src/prefs.h b/src/prefs.h
--- a/src/prefs.h	Fri Jun 14 16:14:55 2024
+++ b/src/prefs.h	Fri Jun 14 16:24:44 2024
@@ -45,6 +45,7 @@
    char *http_proxyuser;
    char *http_referer;
    char *http_user_agent;
+   char *ext_handler;
    char *no_proxy;
    DilloUrl *start_page;
    DilloUrl *home;
diff -u a/src/prefsparser.cc b/src/prefsparser.cc
--- a/src/prefsparser.cc	Fri Jun 14 16:14:55 2024
+++ b/src/prefsparser.cc	Fri Jun 14 16:25:40 2024
@@ -187,6 +187,7 @@
       { "adjust_table_min_width", &prefs.adjust_table_min_width, PREFS_BOOL, 0 },
       { "load_images", &prefs.load_images, PREFS_BOOL, 0 },
       { "load_background_images", &prefs.load_background_images, PREFS_BOOL, 0 },
+      { "ext_handler", &prefs.ext_handler, PREFS_STRING, 0 },
       { "load_stylesheets", &prefs.load_stylesheets, PREFS_BOOL, 0 },
       { "middle_click_drags_page", &prefs.middle_click_drags_page,
         PREFS_BOOL, 0 },
